:root {
    --custom1: rgb(255, 99, 132);
    --custom2: rgb(54, 162, 235);
    --custom3: rgb(255, 159, 64);
    --custom4: rgb(255, 205, 86);
    --custom5: rgb(75, 192, 192);
    --custom6: rgb(153, 102, 255);
    --custom7: rgb(201, 203, 207);
}

.btn-outline-custom1 {
    --bs-btn-color: var(--custom1);
    --bs-btn-border-color: var(--custom1);
    --bs-btn-hover-color: #2c2b2b;
    --bs-btn-hover-bg: var(--custom1);
    --bs-btn-hover-border-color: var(--custom1);
    --bs-btn-focus-shadow-rgb: 59, 125, 221;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--custom1);
    --bs-btn-active-border-color: var(--custom1);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--custom1);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--custom1);
    --bs-gradient: none;
}
.badge-custom1-light,
a.badge-custom1-light {
    background-color: rgba(255, 99, 132, 0.15);
    color: color-yiq(rgba(255, 99, 132, 0.15));
    color: var(--custom1);
}
.bg-custom1 {
    --bs-bg-opacity: 1;
    background-color: rgba(255, 99, 132, var(--bs-bg-opacity)) !important;
}
.text-custom1 {
    --bs-text-opacity: 1;
    color: var(--custom1) !important;
}

.btn-outline-custom2 {
    --bs-btn-color: var(--custom2);
    --bs-btn-border-color: var(--custom2);
    --bs-btn-hover-color: #2c2b2b;
    --bs-btn-hover-bg: var(--custom2);
    --bs-btn-hover-border-color: var(--custom2);
    --bs-btn-focus-shadow-rgb: 59, 125, 221;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--custom2);
    --bs-btn-active-border-color: var(--custom2);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--custom2);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--custom2);
    --bs-gradient: none;
}
.badge-custom2-light,
a.badge-custom2-light {
    background-color: rgba(54, 162, 235, 0.15);
    color: color-yiq(rgba(54, 162, 235, 0.15));
    color: var(--custom2);
}
.bg-custom2 {
    --bs-bg-opacity: 1;
    background-color: rgba(54, 162, 235, var(--bs-bg-opacity)) !important;
}
.text-custom2 {
    --bs-text-opacity: 1;
    color: var(--custom2) !important;
}

.btn-outline-custom3 {
    --bs-btn-color: var(--custom3);
    --bs-btn-border-color: var(--custom3);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--custom3);
    --bs-btn-hover-border-color: var(--custom3);
    --bs-btn-focus-shadow-rgb: 59, 125, 221;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--custom3);
    --bs-btn-active-border-color: var(--custom3);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--custom3);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--custom3);
    --bs-gradient: none;
}
.badge-custom3-light,
a.badge-custom3-light {
    background-color: rgba(255, 159, 64, 0.15);
    color: color-yiq(rgba(255, 159, 64, 0.15));
    color: var(--custom3);
}
.bg-custom3 {
    --bs-bg-opacity: 1;
    background-color: rgba(255, 159, 64, var(--bs-bg-opacity)) !important;
}
.text-custom3 {
    --bs-text-opacity: 1;
    color: var(--custom3) !important;
}

.btn-outline-custom4 {
    --bs-btn-color: var(--custom4);
    --bs-btn-border-color: var(--custom4);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--custom4);
    --bs-btn-hover-border-color: var(--custom4);
    --bs-btn-focus-shadow-rgb: 59, 125, 221;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--custom4);
    --bs-btn-active-border-color: var(--custom4);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--custom4);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--custom4);
    --bs-gradient: none;
}
.badge-custom4-light,
a.badge-custom4-light {
    background-color: rgba(255, 205, 86, 0.15);
    color: color-yiq(rgba(255, 205, 86, 0.15));
    color: var(--custom4);
}
.bg-custom4 {
    --bs-bg-opacity: 1;
    background-color: rgba(75, 192, 192, var(--bs-bg-opacity)) !important;
}
.text-custom4 {
    --bs-text-opacity: 1;
    color: var(--custom4) !important;
}

.btn-outline-custom5 {
    --bs-btn-color: var(--custom5);
    --bs-btn-border-color: var(--custom5);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--custom5);
    --bs-btn-hover-border-color: var(--custom5);
    --bs-btn-focus-shadow-rgb: 59, 125, 221;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--custom5);
    --bs-btn-active-border-color: var(--custom5);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--custom5);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--custom5);
    --bs-gradient: none;
}
.badge-custom5-light,
a.badge-custom5-light {
    background-color: rgba(153, 102, 255, 0.15);
    color: color-yiq(rgba(153, 102, 255, 0.15));
    color: var(--custom5);
}
.bg-custom5 {
    --bs-bg-opacity: 1;
    background-color: rgba(153, 102, 255, var(--bs-bg-opacity)) !important;
}
.text-custom5 {
    --bs-text-opacity: 1;
    color: var(--custom5) !important;
}

.btn-outline-custom6 {
    --bs-btn-color: var(--custom6);
    --bs-btn-border-color: var(--custom6);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--custom6);
    --bs-btn-hover-border-color: var(--custom6);
    --bs-btn-focus-shadow-rgb: 59, 125, 221;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--custom6);
    --bs-btn-active-border-color: var(--custom6);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--custom6);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--custom6);
    --bs-gradient: none;
}
.badge-custom6-light,
a.badge-custom6-light {
    background-color: rgba(255, 205, 86, 0.15);
    color: color-yiq(rgba(255, 205, 86, 0.15));
    color: var(--custom6);
}
.bg-custom6 {
    --bs-bg-opacity: 1;
    background-color: rgba(255, 205, 86, var(--bs-bg-opacity)) !important;
}
.text-custom6 {
    --bs-text-opacity: 1;
    color: var(--custom6) !important;
}

.btn-outline-custom7 {
    --bs-btn-color: var(--custom7);
    --bs-btn-border-color: var(--custom7);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--custom7);
    --bs-btn-hover-border-color: var(--custom7);
    --bs-btn-focus-shadow-rgb: 59, 125, 221;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--custom7);
    --bs-btn-active-border-color: var(--custom7);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--custom7);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--custom7);
    --bs-gradient: none;
}
.badge-custom7-light,
a.badge-custom7-light {
    background-color: rgba(132, 235, 99, 0.15);
    color: color-yiq(rgba(132, 235, 99, 0.15));
    color: var(--custom7);
}
.bg-custom7 {
    --bs-bg-opacity: 1;
    background-color: rgba(132, 235, 99, var(--bs-bg-opacity)) !important;
}
.text-custom7 {
    --bs-text-opacity: 1;
    color: var(--custom7) !important;
}

.text-gray {
    --bs-text-opacity: 1;
    color: rgb(201, 203, 207) !important;
}

body[data-theme="colored"] .sidebar-content {
    background: linear-gradient(135deg, #88d926, #599513 40%, #2359a8);
}
.sidebar-item.active .sidebar-link:hover,
.sidebar-item.active > .sidebar-link {
    background: linear-gradient(
        90deg,
        rgba(59, 125, 221, 0.1),
        rgba(59, 125, 221, 0.088) 50%,
        transparent
    );
    border-left-color: #d0ffa4 !important;
}
body[data-theme="colored"] .sidebar-dropdown .sidebar-link {
    color: rgba(248, 249, 250, 0.7);
}
body[data-theme="colored"] .sidebar-user-subtitle {
    color: rgba(248, 249, 250, 0.7);
}

body[data-theme="colored"] .sidebar-link.no-active {
    color: rgba(248, 249, 250, 0.7) !important;
}
body[data-theme="colored"] .sidebar-link.no-active:hover {
    color: #e9ecef !important;
}

body {
    /* font-family: 'Zen Maru Gothic', sans-serif; */
    font-family: sans-serif;
}
.navbar h3 {
    margin-bottom: 0;
}
.notes {
    font-size: 0.7rem !important;
}

.sidebar-nav a:hover {
    color: rgba(233, 236, 239, 0.75);
}
.breadcrumb {
    margin: 10px 0 0 1.5rem;
}
.pagination {
    margin-top: 1rem;
    margin-bottom: 0 !important;
}
.table,
.table-responsive {
    margin-bottom: 0 !important;
}

/* .form-control,
.form-select,
.tagify,
.tagify__dropdown__wrapper,
.btn {
    border-radius: .4rem;
} */

/* バリデーションエラーの時のスタイルをbootstrap風のやり方を使わずにやる用 */
.custom-invalid-feedback {
    color: #dc3545;
    font-size: 80%;
    margin-top: 0.25rem;
    width: 100%;
}

/* readonlyがなぜか白くなるので。見た目disabledのreadonly用 */
.bg-disabled {
    background-color: #e9ecef;
    pointer-events: none;
}
.bg-disabled:hover {
    background-color: #e9ecef;
    pointer-events: none;
}

#btn-back-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: none;
    border-radius: 50%;
    height: 45px;
    width: 45px;
    opacity: 80%;
}

.select2-container .select2-selection--single {
    height: 33px !important;
    border: 1px solid #ced4da !important;
    border-radius: 0.4rem !important;
}

.select2-container .select2-selection--single.error {
    height: 33px !important;
    border: 1px solid #dc3545 !important;
    border-radius: 0.4rem !important;
}

.dropdown-item.pdf_disabled {
    pointer-events: none;
    opacity: 0.6;
}

.cursor_point {
    cursor: pointer;
}

/* レスポンシブ */
.pc_none {
    display: none;
}
.sp_none {
    display: block;
}

.pc_inline_none {
    display: none !important;
}
.sp_inline_none {
    display: inline-block !important;
}

/* choices.jsのmargin-bottomを消す */
.choices {
    margin-bottom: 0;
}

/* バリデーションエラーの枠を付ける */
.choices__inner.is-invalid {
    border-color: #dc3545 !important;
}
.list-group.is-invalid {
    border: 1px solid #dc3545 !important;
}

/* EC-CUBEのパクリ */
.btn-ec-actionIcon {
    color: #eff0f4;
    background-color: transparent;
    border-color: transparent;
    padding: 6px 12px;
    cursor: pointer;
}
.btn-ec-actionIcon:hover {
    color: #54687a;
}
.btn-ec-actionIcon:hover {
    color: transparent;
    background-color: transparent;
    border-color: #eff0f4;
}

.text-xsm {
    font-size: 0.5rem;
}

.use_list .card img {
    object-fit: cover;
    height: 150px;
}
.use_list .card__content {
    position: absolute;
    /* other styles (left, top, right, and padding) */
    background: linear-gradient(to top, rgba(0, 0, 0, 0.5), transparent);
    bottom: 0;
    width: 100%;
    padding: 0.5rem 0.5rem 0.3rem;
}

/* 計画 */
#manufact_plan .table_wrap {
    max-height: 70vh;
    overflow-y: auto;
}
#manufact_plan .table_wrap thead {
    z-index: 20;
}
#manufact_plan table thead th {
    min-width: 50px;
}
#manufact_plan .plan_input_day {
    padding-left: 5px;
    padding-right: 5px;
}

/* 製品マスタ */
#product_master .choices__list--multiple .choices__item,
#order_regist .choices__list--multiple .choices__item {
    background-color: #6fb91c;
    border: 1px solid #599513;
    color: #fff;
}
#product_master .choices[data-type*="select-multiple"] .choices__button,
.choices[data-type*="text"] .choices__button,
#order_regist .choices[data-type*="select-multiple"] .choices__button,
.choices[data-type*="text"] .choices__button {
    border-left: 1px solid #599513;
}

/*  mobile & smart phone
---------------------------------------------- */
@media only screen and (max-width: 959px) {
    /* レスポンシブ */
    .pc_none {
        display: block;
    }
    .sp_none {
        display: none;
    }

    .pc_inline_none {
        display: inline-block !important;
    }
    .sp_inline_none {
        display: none !important;
    }
}
